View Issue Details

IDProjectCategoryView StatusLast Update
0004057FreeCADBugpublic2019-11-26 20:57
Reporterrpress Assigned Topfirszt  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19 
Summary0004057: Nightly builds not working on Fedora 30
DescriptionI am trying to install freecad-0.19_pre-17320.x86_64 from here: https://copr.fedorainfracloud.org/coprs/g/freecad/nightly/package/freecad/

The first error I see is with DNF:
 Problem: cannot install the best candidate for the job
  - nothing provides python-pivy needed by freecad-1:0.19_pre-17320.x86_64
I can edit the RPM to remove that dependency, and it installs fine. I saw this commit but I guess it didn't work? https://github.com/FreeCAD/FreeCAD/commit/f53d8956c7a29846448a0781807975ed5cb77fcd

When I try to run it I receive this error:
FreeCAD 0.19, Libs: 0.19R17320 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Error in InitApplications type '_io._IOBase' participates in gc and is a base type but has inappropriate tp_free slot
--------------------------------------------------------------------------------
Traceback (most recent call last):
  File "<string>", line 241, in <module>
  File "<string>", line 54, in InitApplications
  File "/usr/lib64/python2.7/io.py", line 51, in <module>
    import _io
TypeError: type '_io._IOBase' participates in gc and is a base type but has inappropriate tp_free slot
--------------------------------------------------------------------------------
Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x37f00) [0x7f9548fc3f00]
#1  /lib64/libpython2.7.so.1.0(PyObject_GetAttrString+0x16) [0x7f954a356296]
0000002  /lib64/libpython2.7.so.1.0(PyObject_HasAttrString+0xd) [0x7f954a35623d]
0000003  /lib64/libpython2.7.so.1.0(PyImport_ImportModuleLevel+0x262) [0x7f954a3af592]
0000004  /lib64/libpython2.7.so.1.0(+0x11a5dc) [0x7f954a3965dc]
0000005  /lib64/libpython2.7.so.1.0(PyObject_Call+0x47) [0x7f954a317197]
0000006  /lib64/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x4c) [0x7f954a402b5c]
0000007  /lib64/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x2961) [0x7f954a405a21]
0000008  /lib64/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x7f8) [0x7f954a40c938]
0000009  /lib64/libpython2.7.so.1.0(PyEval_EvalCode+0x1d) [0x7f954a40cafd]
0000010  /lib64/libpython2.7.so.1.0(PyImport_ExecCodeModuleEx+0xc1) [0x7f954a3b17b1]
0000011  /lib64/libpython2.7.so.1.0(+0x13523e) [0x7f954a3b123e]
0000012  /lib64/libpython2.7.so.1.0(PyImport_ImportModuleLevel+0x7e1) [0x7f954a3afb11]
0000013  /lib64/libpython2.7.so.1.0(+0x11a5dc) [0x7f954a3965dc]
0000014  /lib64/libpython2.7.so.1.0(PyObject_Call+0x47) [0x7f954a317197]
0000015  /lib64/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x4c) [0x7f954a402b5c]
0000016  /lib64/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x2961) [0x7f954a405a21]
0000017  /lib64/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x7f8) [0x7f954a40c938]
0000018  /lib64/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x6b3e) [0x7f954a409bfe]
0000019  /lib64/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x7f8) [0x7f954a40c938]
0000020  /lib64/libpython2.7.so.1.0(PyEval_EvalCode+0x1d) [0x7f954a40cafd]
0000021  /lib64/libpython2.7.so.1.0(PyRun_StringFlags+0x78) [0x7f954a3ba3f8]
0000022  0x7f954a606fda in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /usr/lib64/freecad/lib/libFreeCADBase.so+0x6a
0000023  0x7f954af145b3 in Gui::Application::runInitGuiScript() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x43
0000024  0x7f954af1d039 in Gui::Application::runApplication() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x13f9
0000025  FreeCAD(main+0x716) [0x55c56aad9046]
0000026  /lib64/libc.so.6(__libc_start_main+0xf3) [0x7f9548faff33]
0000027  FreeCAD(_start+0x2e) [0x55c56aad93be]
Steps To ReproduceUsing Fedora 30, install freecad-0.19_pre-17320.x86_64 and simply run it.
Tagspackaging, upstream
FreeCAD Information

Activities

openBrain

2019-07-15 16:36

developer   ~0013346

@rpress : could you please (according to reporting guidelines) open a new topic in the Install subforum ?
Community will help and eventually confirm this is a bug needing a ticket. ;)
Thanks

rpress

2019-07-16 14:54

reporter   ~0013351

I saw the same problem as mine here: https://forum.freecadweb.org/viewtopic.php?t=33810

It's not clear if "BUILD_QT5=ON" is the right solution, and if it is the right solution it hasn't made it way into the nightly build. Would you like me to add a comment in that thread or make a new one altogether?

openBrain

2019-07-16 17:24

developer   ~0013352

@rpress : my opinion is that opening a new one is better. The one you pointed was about a compilation while your case (if I'm correct) is an installation from distro repo. ;)

rpress

2019-07-16 20:43

reporter   ~0013353

I have created a new thread here: https://forum.freecadweb.org/viewtopic.php?f=4&t=37780

Let's hope it gets more replies than that other thread.

openBrain

2019-07-17 17:27

developer   ~0013356

@rpress hope that too. But for sure you'll have a better chance to get a reply than here on the tracker. ;)

rpress

2019-07-18 12:52

reporter   ~0013360

Oh. Well I guess I get it, bugs are no fun to work on. :(

rpress

2019-08-04 14:12

reporter   ~0013400

Ok you can just close this, thanks for trying to help.

rpress

2019-08-17 13:18

reporter   ~0013428

Well since it is still open, I have removed monitoring of this issue so I (hopefully) won't be bothered with emails when this is inevitably closed due to inactivity.

Kunda1

2019-08-20 21:30

administrator   ~0013438

Assigned to @pfirszt

Kunda1

2019-09-05 20:33

administrator   ~0013541

@rpress https://forum.freecadweb.org/viewtopic.php?f=4&t=37780&p=332097#p331531

hobbes1069

2019-09-14 12:47

reporter   ~0013596

Fedora is in the process of removing all python 2 packages from Fedora. The correct requirement is now

Requires: python3-pivy

Thanks,
Richard

Kunda1

2019-09-14 17:06

administrator   ~0013597

Thanks hobbes1069!
@pfirszt ping

pfirszt

2019-09-18 13:43

developer   ~0013630

Last edited: 2019-09-18 13:44

View 3 revisions

0004132 is an untested solution to this problem

rpress

2019-11-26 15:16

reporter   ~0013844

Hey, I tried FreeCAD nightly on Fedora 31, and what do you know, it works!

Sorry I was being short before, but your bug reporting policies are not very friendly.

I get it, there are lots of bogus bug reports. But requiring every bug to also be posted to the forum feels practically insulting.

Of course you guys are entitled to run the bug reporting any way you see fit, and I see this has been the policy now for many years; I doubt my comments here will change that. But maybe it's fair I at least let you know my feelings.

I greatly appreciate all the volunteer efforts of the developers here and I don't want to diminish your work, but perhaps the policy could use an update.

Kunda1

2019-11-26 20:57

administrator   ~0013845

@rpress thanks for hanging in there. It is a chore for sure but the positive side is that it opens an avenue for more interaction with the community. Again thank you and we hope to hear more from you in the forums :)

Cheers.
Closing ticket.

Issue History

Date Modified Username Field Change
2019-07-15 14:26 rpress New Issue
2019-07-15 16:36 openBrain Note Added: 0013346
2019-07-15 16:37 openBrain Status new => feedback
2019-07-15 16:37 openBrain Tag Attached: #post-to-forum
2019-07-16 14:54 rpress Note Added: 0013351
2019-07-16 14:54 rpress Status feedback => new
2019-07-16 17:24 openBrain Note Added: 0013352
2019-07-16 20:43 rpress Note Added: 0013353
2019-07-17 17:27 openBrain Note Added: 0013356
2019-07-18 12:52 rpress Note Added: 0013360
2019-07-22 11:46 Kunda1 Tag Detached: #post-to-forum
2019-08-04 14:12 rpress Note Added: 0013400
2019-08-17 13:18 rpress Note Added: 0013428
2019-08-20 21:30 Kunda1 Assigned To => pfirszt
2019-08-20 21:30 Kunda1 Status new => assigned
2019-08-20 21:30 Kunda1 Note Added: 0013438
2019-09-01 19:54 Kunda1 Tag Attached: packaging
2019-09-05 20:32 Kunda1 Target Version => 0.19
2019-09-05 20:33 Kunda1 Note Added: 0013541
2019-09-05 20:33 Kunda1 Tag Attached: upstream
2019-09-14 12:47 hobbes1069 Note Added: 0013596
2019-09-14 17:06 Kunda1 Note Added: 0013597
2019-09-18 13:43 pfirszt Note Added: 0013630
2019-09-18 13:43 pfirszt Note Edited: 0013630 View Revisions
2019-09-18 13:44 pfirszt Note Edited: 0013630 View Revisions
2019-11-26 15:16 rpress Note Added: 0013844
2019-11-26 20:57 Kunda1 Status assigned => closed
2019-11-26 20:57 Kunda1 Resolution open => fixed
2019-11-26 20:57 Kunda1 Note Added: 0013845